org.apache.hadoop.yarn.server.api.records

## Class OpportunisticContainersStatus

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.records.OpportunisticContainersStatus

- Direct Known Subclasses:
    OpportunisticContainersStatusPBImpl

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public abstract class OpportunisticContainersStatus
      extends Object

  `OpportunisticContainersStatus` captures information pertaining to the state of execution of the opportunistic containers within a node.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpportunisticContainersStatus()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `getEstimatedQueueWaitTime()` Returns the estimated time that a container will have to wait if added to the queue of the node.
    `abstract int` | `getOpportCoresUsed()` Returns CPU cores currently used on the node for running opportunistic containers.
    `abstract long` | `getOpportMemoryUsed()` Returns memory currently used on the node for running opportunistic containers.
    `abstract int` | `getOpportQueueCapacity()` Gets the capacity of the opportunistic containers queue on the node.
    `abstract int` | `getQueuedOpportContainers()` Returns the number of queued opportunistic containers on the node.
    `abstract int` | `getRunningOpportContainers()` Returns the number of currently running opportunistic containers on the node.
    `abstract int` | `getWaitQueueLength()` Returns the length of the containers queue on the node.
    `static OpportunisticContainersStatus` | `newInstance()`
    `abstract void` | `setEstimatedQueueWaitTime(int queueWaitTime)` Sets the estimated time that a container will have to wait if added to the queue of the node.
    `abstract void` | `setOpportCoresUsed(int opportCoresUsed)` Sets the CPU cores used on the node for running opportunistic containers.
    `abstract void` | `setOpportMemoryUsed(long opportMemoryUsed)` Sets the memory used on the node for running opportunistic containers.
    `abstract void` | `setOpportQueueCapacity(int queueCapacity)` Sets the capacity of the opportunistic containers queue on the node.
    `abstract void` | `setQueuedOpportContainers(int queuedOpportContainers)` Sets the number of queued opportunistic containers on the node.
    `abstract void` | `setRunningOpportContainers(int runningOpportContainers)` Sets the number of running opportunistic containers.
    `abstract void` | `setWaitQueueLength(int waitQueueLength)` Sets the length of the containers queue on the node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpportunisticContainersStatus

          public OpportunisticContainersStatus()

  - ### Method Detail

    - #### newInstance

          public static OpportunisticContainersStatus newInstance()

    - #### getRunningOpportContainers

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract int getRunningOpportContainers()

      Returns the number of currently running opportunistic containers on the node.
      Returns:
        number of running opportunistic containers.

    - #### setRunningOpportContainers

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setRunningOpportContainers(int runningOpportContainers)

      Sets the number of running opportunistic containers.
      Parameters:
        `runningOpportContainers` - number of running opportunistic containers.

    - #### getOpportMemoryUsed

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract long getOpportMemoryUsed()

      Returns memory currently used on the node for running opportunistic containers.
      Returns:
        memory (in bytes) used for running opportunistic containers.

    - #### setOpportMemoryUsed

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setOpportMemoryUsed(long opportMemoryUsed)

      Sets the memory used on the node for running opportunistic containers.
      Parameters:
        `opportMemoryUsed` - memory (in bytes) used for running opportunistic containers.

    - #### getOpportCoresUsed

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract int getOpportCoresUsed()

      Returns CPU cores currently used on the node for running opportunistic containers.
      Returns:
        CPU cores used for running opportunistic containers.

    - #### setOpportCoresUsed

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setOpportCoresUsed(int opportCoresUsed)

      Sets the CPU cores used on the node for running opportunistic containers.
      Parameters:
        `opportCoresUsed` - memory (in bytes) used for running opportunistic containers.

    - #### getQueuedOpportContainers

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract int getQueuedOpportContainers()

      Returns the number of queued opportunistic containers on the node.
      Returns:
        number of queued opportunistic containers.

    - #### setQueuedOpportContainers

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setQueuedOpportContainers(int queuedOpportContainers)

      Sets the number of queued opportunistic containers on the node.
      Parameters:
        `queuedOpportContainers` - number of queued opportunistic containers.

    - #### getWaitQueueLength

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract int getWaitQueueLength()

      Returns the length of the containers queue on the node.
      Returns:
        length of the containers queue.

    - #### setWaitQueueLength

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setWaitQueueLength(int waitQueueLength)

      Sets the length of the containers queue on the node.
      Parameters:
        `waitQueueLength` - length of the containers queue.

    - #### getEstimatedQueueWaitTime

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract int getEstimatedQueueWaitTime()

      Returns the estimated time that a container will have to wait if added to the queue of the node.
      Returns:
        estimated queuing time.

    - #### setEstimatedQueueWaitTime

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setEstimatedQueueWaitTime(int queueWaitTime)

      Sets the estimated time that a container will have to wait if added to the queue of the node.
      Parameters:
        `queueWaitTime` - estimated queuing time.

    - #### getOpportQueueCapacity

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract int getOpportQueueCapacity()

      Gets the capacity of the opportunistic containers queue on the node.
      Returns:
        queue capacity.

    - #### setOpportQueueCapacity

          @InterfaceAudience.Private
           @InterfaceStability.Unstable
          public abstract void setOpportQueueCapacity(int queueCapacity)

      Sets the capacity of the opportunistic containers queue on the node.
      Parameters:
        `queueCapacity` - queue capacity.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.